import static org.junit.Assert.*;

import org.junit.Test;

public class CalculatorTest {
	@Test
	public final void Test_Div1() {
		Calculator calc= new Calculator();
		//12 / 4 = 3
		calc.pressDigit('1');
		calc.pressDigit('2');
		calc.pressDiv();
		calc.pressDigit('4');
		calc.pressEqual();
		assertTrue(calc.getOperand()==3);
	}
	
	@Test	
	public final void Test_Mult1() {
		// 21*2-40 = 2 
		Calculator calc= new Calculator();
		calc.pressDigit('2');
		calc.pressDigit('1');
		calc.pressMult();
		calc.pressDigit('2');
		calc.pressMinus();
		calc.pressDigit('4');
		calc.pressDigit('0');
		calc.pressEqual();
		assertTrue(calc.getOperand()==2);
	}
	
	@Test	
	public final void Test_NonDigit() {
		// 21*2-x = 2 
		Calculator calc= new Calculator();
		calc.pressDigit('2');
		calc.pressDigit('1');
		calc.pressMult();
		calc.pressDigit('2');
		calc.pressMinus();
		calc.pressDigit('x');
		calc.pressEqual();
		assertTrue(calc.getOperand()==2);
	}	

}